OrtwinPinke.de

Gedanken eines PHP-Entwicklers…

Der PHP-Veranstaltungskalender NC EveCal 4.0 unter PHP 5.5 und 5.6

Dienstag 24. November 2015 von Ortwin Pinke

Adminbereich EveCal 4.0

Auf die Anfrage einer befreundeten Agentur habe ich ein wenig zum PHP-Veranstaltungskalender EveCal 4.0 von Net Concept 24 recherchiert. Grund für diese Anfrage sind die Server-Updates bei vielen Providern im kommenden Jahr, die ihre PHP-Versionen auf einen aktuellen Stand, zumeist PHP 5.6, bringen werden.

Nur die Version 4.0.7 des Kalenders soll wohl auf PHP 5.5 laufen. Auf PHP 5.6, oder gar auf 5.7, wird das Script zumindest Probleme bekommen, da allein schon die PHP-Klassen im Script älteren Datums und daher für die ersten OOP-Versionen von PHP geschrieben sind und dort nicht nur beim Konstruktor dringend ein Update angesagt ist.

Nach dem ersten Augenschein der aktuellsten Version 4.0.7, die mir freundlicherweise ein aktueller Nutzer des Kalenders zur Verfügung gestellt hat, steckt da doch eine Menge Arbeit drin. Noch schlimmer geht es Nutzern einer älteren Version des Kalenders, da weder unter der Support-E-Mail, noch mit Hilfe der Update-Funktion des Scripts ein Update auf die aktuellste Version möglich ist. Ältere Versionen sind nicht kompatibel mit PHP größer als 5.4 und werden daher beim Upgrade des Providers nicht mehr funktionieren.

Copyright und mehr…

Gerne hätte ich mit dem ursprünglichen Autor des Kalenders Kontakt aufgenommen um möglichen Lizenz-rechtlichen Problematiken aus dem Weg zu gehen, aber meine entsprechende Recherche blieb dahingehend bisher erfolglos. 
Sowohl die Webseite des Kalenders unter php-veranstaltungskalender.de, als auch die Seiten von Net Concept 24 unter netconcept24.de, sind nicht mehr erreichbar oder haben inzwischen, wie die Firmenseite, einen ganz anderen Domain-Inhaber.
Auch meine Recherche zum im Script genannten Autor Manuel Rennecke hatte bisher keinen Erfolg. Ein Anruf unter der ehemaligen Firmennummer schlug dann auch bei einer älteren Dame in Magdeburg auf. Sollten daher einer der Leser Manuel Rennecke kennen oder es gar selbst sein, so würde ich mich über einen Kontakt zur Absprache freuen.

Updates und Support

Da es offensichtlich momentan für den Veranstaltungskalender nirgendwo Support, geschweige denn ein Update auf eine unter PHP 5.6+ laufende Version gibt, werde ich den Kalender für meinen Kunden entsprechend anpassen und supporten.
Sollten auch Sie EveCal 4.0.x im Einsatz und an einem Update Interesse haben, dann nehmen Sie doch einfach Kontakt mit mir auf.

Auch für Bugs und Ideen zum Kalender finden Sie bei mir immer ein offenes Ohr. Selbst denke ich bereits über die Erweiterung des Kalender-Scriptes mit zusätzlichen AJAX-Funktionen und einer Template-Engine nach.

Stimmen Sie ab:
1 Star2 Stars3 Stars4 Stars5 Stars (2 votes, average: 5,00 out of 5)
Loading ... Loading ...

Dieser Beitrag wurde erstellt am Dienstag 24. November 2015 um 17:51 und abgelegt unter PHP & MySQL, Scripte. Kommentare zu diesen Eintrag im RSS 2.0 Feed. Sie können einen Kommentar schreiben, oder einen Trackback auf Ihrer Seite einrichten.

9 Kommentare über “Der PHP-Veranstaltungskalender NC EveCal 4.0 unter PHP 5.5 und 5.6”

  1. Stefan Rettig schrieb:

    Da ich vor dem gleichem Problem stehe, würde ich für Hilfe sehr dankbar sein. Unser Anbieter möchte von PHP 5.4 auf PHP 7 umstellen.

  2. Ortwin Pinke schrieb:

    Hallo Herr Rettig,

    ich habe Ihnen gerade eine E-Mail mit meinen Kontakdaten geschickt.

    MfG

    O. Pinke

  3. Michael Metzig schrieb:

    Moin Herr Pinke
    Ich habe immer mal wieder gesucht und auch nichts über Herrn Rennicke und Netconcept24 gefunden. Sind ja schon ein paar Jahre. Das hier ist das erste was seit dem Netconcept24.de offline ist, überhaupt darüber gefunden habe.

    Auch ich habe das Problem und meine PHP-Kenntnisse halten sich leider arg in Grenzen. Wäre ebenso für einen Kontakt und etwas Hilfe dankbar.

    Freue mich auf Rückmeldung, Grüße aus dem Norden! Michael Metzig

  4. Ortwin Pinke schrieb:

    Hallo Herr Metzig,

    habe Ihnen gerade eine E-Mail mit meinen Kontaktdaten geschickt.
    Eine überarbeitete Version des Kalenders sieht man auf http://www.biosphaere-bliesgau.eu/index.php/de/aktuelles/veranstaltungskalender

  5. Harald Sies schrieb:

    Wir als Gemeinde nutzen den NC EveCal 4.0.6 unter PHP 5.6
    Nun gibt es mittlerweile PHP 7. Aber der NC EveCal läuft unter PHP 7 nicht. Alle anderen Webseiten stellen kein Problem dar.
    Gibt es eine Version des NC EveCal für PHP 7?

    Grüße aus dem hohen Norden. Harald Sies

  6. Ortwin Pinke schrieb:

    Hallo Herr Sies,

    der EveCal bis Version 4.0.8 läuft nur bedingt unter PHP 5.5 und 5.6 (gar nicht unter PHP 7). Schon das genutzte DB-Framework hat Probleme mit PHP > 5.4, aber auch in Teilen das Kalender-Script selbst. Meine Version 4.1 funktioniert bis PHP 5.6, eine Kalenderversion für PHP 7 ist in Arbeit und wird wohl dann die Versionsnummer 5 erhalten. Dafür müssen grundsätzlich Arbeiten und Umbauten am Core, sowie an den genutzten externen Libraries, vorgenommen werden, da PHP 7 die Vorgaben, gerade bei OOP, doch etwas strikter setzt.
    Da momentan, bzw. zumindest für dieses Jahr, aber soweit bei allen Provider noch die Version 5.6 nutzbar ist sollte das kein Problem darstellen.
    Sofern sich noch weitere Nutzer des Kalenders melden werde ich für den Kalender auch einen entsprechenden Bereich anlegen wo man Infos erhalten und Fehler und Verbesserungsvorschläge melden kann.

    MfG

    O. Pinke

  7. Jürgen Lang schrieb:

    Hallo Herr Pinke,

    ich interessiere mich zwecks Erstinstallation für den EveCal. Dieser sollte möglichst unter php7 lauffähig sein. Optimal für meine Zwecke wäre die Einbindung des Kalenders ins CMS WordPress oder Typo3.
    Für entsprechende Infos bedanke ich mich im Voraus.
    Viele Grüße
    Jürgen Lang

  8. Marco Schöling schrieb:

    Hallo Herr Pinke,
    ich hätte evtl. auch Interesse an dem Kalender-Script. Ich habe derzeit ein eigenes Programm in Benutzung und bin unschlüssig, ob ich es selber weiter pflegen möchte (Zeit-Problem) oder ob ich eines kaufen möchte (Geld und Risiko, dass nicht alle benötigten Funktionen dann auch drin sind…)

    Ansonsten finde ich Ihre Initiative betreffs der Weiterentwicklung eines solchen Programmes sehr gut!

    Marco Schöling

  9. Ortwin Pinke schrieb:

    Hallo Herr Lang, hallo Herr Schölling,

    die Version 4.1 von EveCal kann ich leider aus rechtlichen Gründen nur als Update-Version für Bestandskunden alter EveCal-Versionen anbieten. Für interessierte Neukunden arbeite ich an einer komplett neu programmierten Version 5.0 des Kalenders, zu der es aber eine Migrations- oder Import-Funktion für die Daten älterer Versionen geben wird.

    Da der alte Programmierer bis heute nicht zu erreichen ist und da ich die Idee und die Funktionalität des Kalenders gut finde, der Kalender jedoch eine proprietären Software-Lizenz hat, sehe ich, wie gesagt, aus rechtlichen Gründen keine anderen Möglichkeiten.

    Auch wird es sicherlich zukünftig eine PHP 7 Version des Kalenders geben, da aber PHP 5.6 noch bis Ende 2018 mit Sicherheitsupdates supported wird (Quelle: http://php.net/supported-versions.php ), und benötigte Libraries teilweise auch noch nicht auf PHP 7 laufen, ist es für mich noch nicht allzu dringlich.

    MfG

    O. Pinke

Kommentar schreiben